Page MenuHomeFreeBSD

sysutils/file: Update to 5.36
ClosedPublic

Authored by kai on Feb 27 2019, 9:24 PM.

Details

Summary

While I'm here:

  • Remove obsolete CONFLICTS of sysutils/tct - that port has gone long ago on 2007-04-06

Changelog since 5.34:

  • Fix cast to use cast macros
  • Add UCS-32 builtin detection (PR/61) reported by tmc
  • Fix stack read (PR/62) and write (PR/64) stack overflows reported by spinpx
  • Add FreeBSD ELF core file support (John Baldwin)
  • PR/30: Allow all parameter values to be set (don't treat 0 specially)
  • handle default annotations on the softmagic match instead at the end.
  • PR/23: Recognize JSON files
  • PR/18: file --mime-encoding should not print mime-type

PR: 235788
Submitted by: Jason Harris (maintainer)
Approved by: (one of the mentors)

Test Plan
  • poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENT@r344112 amd64 + i386) -> OK
  • portlint -> OK
  • Runtime tests -> OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kai created this revision.Feb 27 2019, 9:24 PM
miwi accepted this revision.Feb 28 2019, 11:26 AM

LGTM

This revision is now accepted and ready to land.Feb 28 2019, 11:26 AM
This revision was automatically updated to reflect the committed changes.